function SafeRequest(paraValue) {
    if (paraValue == undefined || paraValue == null)
        return "";
    var SafeRequest = "";
    paraValue = paraValue.replace("'", "''");
    paraValue = paraValue.replace("select ", "");
    paraValue = paraValue.replace("Add ", "");
    paraValue = paraValue.replace("delete ", "");
    paraValue = paraValue.replace("count(", "");
    paraValue = paraValue.replace("drop table ", "");
    paraValue = paraValue.replace("update ", "");
    paraValue = paraValue.replace("truncate ", "");
    paraValue = paraValue.replace("asc(", "");
    paraValue = paraValue.replace("mid(", "");
    paraValue = paraValue.replace("char(", "");
    paraValue = paraValue.replace("xp_cmdshell", "");
    paraValue = paraValue.replace("exec", "");
    paraValue = paraValue.replace("exec master", "");
    paraValue = paraValue.replace("net localgroup administrators", "");
    paraValue = paraValue.replace(" and ", "");
    paraValue = paraValue.replace("net user", "");
    paraValue = paraValue.replace(" or ", "");
    paraValue = paraValue.replace(" &nbsp; ", "");

    paraValue = paraValue.replace(";", "");
    paraValue = paraValue.replace("'", "");
    paraValue = paraValue.replace("&", "");
    paraValue = paraValue.replace("%20", "");
    paraValue = paraValue.replace("--", "");
    paraValue = paraValue.replace("==", "");
    paraValue = paraValue.replace("<", "");
    paraValue = paraValue.replace(">", "");
    paraValue = paraValue.replace("%", "");

    SafeRequest = paraValue;
    return SafeRequest;
}